% --------------------------------------------------------------
% This is all preamble stuff that you don't have to worry about.
% Head down to where it says "Start here"
% --------------------------------------------------------------
 % !TeX spellcheck = en_GB 
 
\documentclass[12pt]{article}
 
\usepackage[margin=1in]{geometry} 
\usepackage{amsmath,amsthm,amssymb}
 
\newcommand{\N}{\mathbb{N}}
\newcommand{\Z}{\mathbb{Z}}
 
\newenvironment{theorem}[2][Theorem]{\begin{trivlist}
\item[\hskip \labelsep {\bfseries #1}\hskip \labelsep {\bfseries #2.}]}{\end{trivlist}}
\newenvironment{lemma}[2][Lemma]{\begin{trivlist}
\item[\hskip \labelsep {\bfseries #1}\hskip \labelsep {\bfseries #2.}]}{\end{trivlist}}
\newenvironment{exercise}[2][Exercise]{\begin{trivlist}
\item[\hskip \labelsep {\bfseries #1}\hskip \labelsep {\bfseries #2.}]}{\end{trivlist}}
\newenvironment{reflection}[2][Reflection]{\begin{trivlist}
\item[\hskip \labelsep {\bfseries #1}\hskip \labelsep {\bfseries #2.}]}{\end{trivlist}}
\newenvironment{proposition}[2][Proposition]{\begin{trivlist}
\item[\hskip \labelsep {\bfseries #1}\hskip \labelsep {\bfseries #2.}]}{\end{trivlist}}
\newenvironment{corollary}[2][Corollary]{\begin{trivlist}
\item[\hskip \labelsep {\bfseries #1}\hskip \labelsep {\bfseries #2.}]}{\end{trivlist}}
 
\begin{document}
 
% --------------------------------------------------------------
%                         Start here
% --------------------------------------------------------------
 
%\renewcommand{\qedsymbol}{\filledbox}
 
\title{Exercise Sheet 1}%replace X with the appropriate number
\author{Alexander Kojen, Waldemar Voos\\ %replace with your name
Real-Time Operating
Systems Design and Implementation} %if necessary, replace with your course title
 
\maketitle
 
\begin{theorem}{1.1} %You can use theorem, proposition, exercise, or reflection here.  Modify x.yz to be whatever number you are proving
 Version Control with Subversion (svn)
\end{theorem}

\begin{itemize}
	\item Version control systems record changes to data along with the appropriate author and time stamp in order to allow for subsequent restoration. In effect these systems enable users to collaborate in a (software) project without running into deadlocks or corrupting files they collectively work on. Likewise, by storing a working copy in a remote repository these systems facilitate a backup functionality.
	
	Subversion is a form of version control with a centralized revision control model: After checking out a working copy from the central repository users must commit their work back to it in order to save their progress to repository. Each commit change prompts repository's revision number to increase by one.
	
	\item A \textbf{repository} is an archive containing data (of a software project) along with its relevant metadata and a version history
	
	A \textbf{working copy} is a local copy of the data users check out from the repository.

	\textbf{Trunks} contain main line development revisions of a repository
	
	\textbf{Tags} allow to mark specific revisions in order ease their retrieval if need be, i.e. revisions in which certain development milestones were met
	
	\textbf{Branches} contain side line development revisions of a repository which can be merged back into the trunks if necessary	
	
\end{itemize}

\begin{theorem}{1.2} %You can use theorem, proposition, exercise, or reflection here.  Modify x.yz to be whatever number you are proving
	Raspberry Pi and Pibrella
\end{theorem}
\begin{itemize}
	\item \begin{itemize}
		\item Model B+ v1.2 
		\item ARMv8-A, 4x Cortex-A53, 900Mhz in a BCM 2837 SoC. In terms of peripherals it has a microSDHC slot, 4x USB 2.0 ports, HDMI 1.3 port, 10/100 Mbits Ethernet port, 17 GPIO pins, 15 pin Mipi camera CSI connector.
	\end{itemize} 
\end{itemize}
\begin{itemize}
	\item \begin{itemize}
		\item Pibrella is a expansion board for the Raspberry Pi which connects through the Pi's General Purpose Input Output (GPIO) pins array. It seems like cheap and simple alternative to a breadboard and wires, which are usually needed to interface with electronics for prototyping or learning with the Pi
		\item According to https://de.pinout.xyz/pinout/pibrella the mapping appears to be the pins: 7 (Green LED), 11 (Yellow LED), 12 (Buzzer), 13 (Red LED), 15 (Output A), 16 (Output B), 18 (Buzzer), 19 (Input D), 21 (Input A), 22 (Output D), 23 (Button), 24 (Input C), 26 (Input D).
	\end{itemize} 
\end{itemize}

\begin{theorem}{1.3} %You can use theorem, proposition, exercise, or reflection here.  Modify x.yz to be whatever number you are proving
	FreeRTOS
\end{theorem}
\begin{itemize}
	\item \begin{itemize}
		\item The 3 core files are tasks.c, queue.c and list.c
		\item The bootloader boots the OS. By editing it you can exclude or include certain packages from / into your OS.
	\end{itemize} 
\end{itemize}
\begin{itemize}
	\item \begin{itemize}
		\item 
	\end{itemize} 
\end{itemize}
 
%\begin{proof}
%Blah, blah, blah.  Here is an example of the \texttt{align} environment:
%%Note 1: The * tells LaTeX not to number the lines.  If you remove the *, be sure to remove it below, too.
%%Note 2: Inside the align environment, you do not want to use $-signs.  The reason for this is that this is already a math environment. This is why we have to include \text{} around any text inside the align environment.
%\begin{align*}
%\sum_{i=1}^{k+1}i & = \left(\sum_{i=1}^{k}i\right) +(k+1)\\ 
%& = \frac{k(k+1)}{2}+k+1 & (\text{by inductive hypothesis})\\
%& = \frac{k(k+1)+2(k+1)}{2}\\
%& = \frac{(k+1)(k+2)}{2}\\
%& = \frac{(k+1)((k+1)+1)}{2}.
%\end{align*}
%\end{proof}
% 
%\begin{proposition}{x.yz}
%Let $n\in \Z$.  
%\end{proposition}
% 
%\begin{proof}[Disproof]%Whatever you put in the square brackets will be the label for the block of text to follow in the proof environment.
%Blah, blah, blah.  I'm so smart.
%\end{proof}
 
% --------------------------------------------------------------
%     You don't have to mess with anything below this line.
% --------------------------------------------------------------
 
\end{document}